# ListObjectsAsync

## Возможности

- Использует aiobotocore для неблокирующих операций ввода-вывода.
- Поддерживает рекурсивный обход "каталогов" с контролем глубины.
- Группирует "каталоги" по префиксам для уменьшения количества API вызовов.
- Скачивает результат по страницам для обеспечения эффективного обхода длинных списков объектов.
- Использует стратегии повторных попыток AWS.

Подробнее о логике работы рассказано в [статье](https://sorokin.engineer/posts/ru/aws_s3_async_list.html).

## Использование

```python
--8<-- "list.py"
```
Вы можете контролировать глубину рекурсии, указывая параметр max_depth, по умолчанию глубина не ограничена.

С помощью `max_folders` вы можете группировать каталоги по префиксам для уменьшения количества API вызовов.

## Сгенерированная из исходников документация
[ListObjectsAsync][async_s3]
